Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000856Core InformScenespublic2012-01-30 12:042014-05-07 07:33
Reportercapmikee 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.5
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000856: "when a scene ends" rule runs twice if scene has multiple endings
DescriptionI would expect that a "when a scene ends" rule would run exactly once when each scene ends. However, this does not seem to be the case.
Minimal Source Text To Reproduce
Once Upon a Time is a scene. Once Upon a Time begins when play begins. Once Upon a Time ends musically 
when singing. Once Upon a Time ends bouncily when jumping.

When a scene ends:
	say "This should only happen once.";
	
Test is a room.

test me with "scenes/rules/jump"
Additional InformationChanging the preamble to "When Once Upon a Time ends" eliminates the problem.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0002367)
graham (administrator)
2014-01-25 14:03

I agree; this behaviour was incorrect. Fixed.

- Issue History
Date Modified Username Field Change
2012-01-30 12:04 capmikee New Issue
2012-01-30 13:11 EmacsUser Status new => confirmed
2014-01-25 14:03 graham Note Added: 0002367
2014-01-25 14:03 graham Status confirmed => resolved
2014-01-25 14:03 graham Resolution open => fixed
2014-01-25 14:03 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker